﻿using System;
using Android.App;
using Android.Content;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Android.OS;
using Syncfusion.SfRadialMenu.Android;
using Android.Graphics;
using System.Collections.Generic;

namespace Xamarin_Android
{
    [Activity(Label = "Xamarin_Android", MainLauncher = true, Icon = "@drawable/icon")]
    public class MainActivity : Activity
    {
        int count = 1;
        #region Properties
        float height, width, density;
        Context con;
		Typeface tf;

		List<SfRadialMenuItem> list = new List<SfRadialMenuItem>();
        #endregion

        string[] strings = new string[] { "A", "B", "C", "D", "E", "F" };
        string[] string_A = new string[] { "A1", "A2", "A3", "A4", "\uEC37" };
        string[] string_B = new string[] { "B1", "B2", "B3", "B4" };
        string[] string_C = new string[] { "C1", "C2", "C3" };
        string[] string_D = new string[] { "D1", "D2", "D3" };
        string[] string_E = new string[] { "E1", "E2", "E3" };
        string[] string_F = new string[] { "F1", "F2", "F3" };

        TextView text; LinearLayout mainLayout; SfRadialMenu radialMenu;


        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);

            // Set our view from the "main" layout resource
           
            height = this.Resources.DisplayMetrics.HeightPixels;
            width = this.Resources.DisplayMetrics.WidthPixels;
            con = this;
            density = con.Resources.DisplayMetrics.Density;
            ImageView image = new ImageView(this);
            image.SetImageResource(Resource.Drawable.Font);
            FrameLayout frame = new FrameLayout(this);
            frame.LayoutParameters = new Android.Views.ViewGroup.LayoutParams(400, 400);


            mainLayout = new LinearLayout(con);
            mainLayout.Orientation = Android.Widget.Orientation.Vertical;
            mainLayout.LayoutParameters = new ViewGroup.LayoutParams(ViewGroup.LayoutParams.MatchParent, ViewGroup.LayoutParams.MatchParent);
            FrameLayout radialFrame = new FrameLayout(con);
            radialFrame.LayoutParameters = new FrameLayout.LayoutParams(ViewGroup.LayoutParams.MatchParent, (int)(height * 0.60));
            radialMenu = new SfRadialMenu(con);
            ImageView back = new ImageView(con);
            back.SetImageResource(Resource.Drawable.Previous);
            radialMenu.RimColor = Color.LightGray;

            radialMenu.OuterRimColor = Color.Transparent;
			 tf = Typeface.CreateFromAsset(con.Assets, "Segoe_MDL2_Assets.ttf");

            for (int i = 0; i < 4; i++)
            {
                SfRadialMenuItem item = new SfRadialMenuItem(con) { IconFont = tf, FontIconSize = 20, FontIconText = strings[i], FontIconColor = Color.LightGray, Text = strings[i], ItemWidth = 45, ItemHeight = 45 };
				item.ItemTapped += Item_ItemTapped;
				//radialMenu.Items.Add(item);
				list.Add(item);
            }
			radialMenu.Items = list;

           
          
            for (int i = 0; i < 3; i++)
            {
                SfRadialMenuItem item = new SfRadialMenuItem(con) { IconFont = tf, FontIconSize = 20, FontIconText = string_C[i], FontIconColor = Color.LightGray, Text = string_C[i] };
                item.ItemTapped += string_C_ItemTapped;
                (radialMenu.Items[2] as SfRadialMenuItem).Items.Add(item);
            }
            for (int i = 0; i < 3; i++)
            {
                SfRadialMenuItem item = new SfRadialMenuItem(con) { IconFont = tf, FontIconSize = 20, FontIconText = string_D[i], FontIconColor = Color.LightGray, Text = string_D[i] };
                item.ItemTapped += string_D_ItemTapped;
                (radialMenu.Items[3] as SfRadialMenuItem).Items.Add(item);
            }
           

            radialMenu.RimRadius = 100;
            radialMenu.CenterButtonRadius = 90;
            radialFrame.AddView(radialMenu);
            mainLayout.AddView(radialFrame);
            scrollviewer = new ScrollView(con);
            textFrame = new LinearLayout(con);


            TextView menuIcon = new TextView(con);
            menuIcon.Text = "Click";
            menuIcon.Typeface = tf;
            menuIcon.SetTextColor(Color.White);
            radialMenu.CenterButtonView = menuIcon;

            TextView backIcon = new TextView(con);
            backIcon.Text = "\uE72B";
            backIcon.Typeface = tf;
            backIcon.SetTextColor(Color.White);
            radialMenu.CenterButtonBackIcon = backIcon;

            TextView textview = new TextView(con);
            textview.Text = "Event Log";
            textview.Typeface = tf;
            textview.SetTextColor(Color.Black);
            textview.TextSize = 20;
            if (density > 2)
                textview.SetPadding(20, 0, 0, 20);
            else
                textview.SetPadding(10, 0, 0, 10);
            mainLayout.AddView(textview);

            textFrame.Orientation = Android.Widget.Orientation.Vertical;
            scrollviewer.AddView(textFrame);
            scrollviewer.VerticalScrollBarEnabled = true;
            FrameLayout bottomFrame = new FrameLayout(con);
            bottomFrame.LayoutParameters = new ViewGroup.LayoutParams(ViewGroup.LayoutParams.MatchParent, (int)(height * 0.30));
            bottomFrame.SetBackgroundColor(Color.Silver);
            bottomFrame.AddView(scrollviewer);
            bottomFrame.SetPadding(10, 0, 10, 0);
            mainLayout.AddView(bottomFrame);
            mainLayout.SetBackgroundColor(Color.White);
            radialMenu.EnableRotation = true;
            radialMenu.IsDragEnabled = true;
          //radialMenu.IsOpen = true;

            SetContentView(mainLayout);

        }

        ScrollView scrollviewer; LinearLayout textFrame;
        void Item_ItemTapped(object sender, RadialMenuItemTappedEventArgs e)
        {

			for (int i = 0; i < 4; i++)
			{
				SfRadialMenuItem item = new SfRadialMenuItem(con) { IconFont = tf, FontIconSize = 20, FontIconText = string_A[i], FontIconColor = Color.LightGray, Text = string_A[i] };
				item.ItemTapped += string_A_ItemTapped;
				(radialMenu.Items[0] as SfRadialMenuItem).Items.Add(item);
			}

        }
        void string_A_ItemTapped(object sender, RadialMenuItemTappedEventArgs e)
        {

          
			for (int i = 0; i < 4; i++)
			{
				SfRadialMenuItem item = new SfRadialMenuItem(con) { IconFont = tf, FontIconSize = 20, FontIconText = string_B[i], FontIconColor = Color.LightGray, Text = string_B[i] };
				item.ItemTapped += string_B_ItemTapped;
				(radialMenu.Items[0].Items[0] as SfRadialMenuItem).Items.Add(item);
			}
        }
        void string_B_ItemTapped(object sender, RadialMenuItemTappedEventArgs e)
        {
            text = new TextView(con);
            text.SetTextColor(Color.Black);
            textFrame.AddView(text);
            text.Text = "In B you have Clicked" + " " + (sender as SfRadialMenuItem).Text;
            scrollviewer.ScrollTo(0, textFrame.Bottom);
        }
        void string_C_ItemTapped(object sender, RadialMenuItemTappedEventArgs e)
        {

            text = new TextView(con);
            text.SetTextColor(Color.Black);
            textFrame.AddView(text);
            text.Text = "In C you have Clicked" + " " + (sender as SfRadialMenuItem).Text;
            scrollviewer.ScrollTo(0, textFrame.Bottom);
        }
        void string_D_ItemTapped(object sender, RadialMenuItemTappedEventArgs e)
        {

            text = new TextView(con);
            text.SetTextColor(Color.Black);
            textFrame.AddView(text);
            text.Text = "In D you have Clicked" + " " + (sender as SfRadialMenuItem).Text;
            scrollviewer.ScrollTo(0, textFrame.Bottom);
        }
    }
}

